package cn.iocoder.yudao.module.reward.api.reward;

import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemDetailForUserDTO;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardReqVO;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardRespDTO;

import java.util.List;

/**
 * 礼品兑换 api 接口
 */
public interface RedeemRewardApi {

    RedeemRewardRespDTO redeemReward(RedeemRewardReqVO redeemRewardReqVO);

    List<RedeemRewardRespDTO> redeemRewards(List<RedeemRewardReqVO> redeemRewardReqVOList);
    RedeemDetailForUserDTO getRedeemDetailForUser(Long redeemId);
}
